<?php
include_once("xlsxwriter.class.php");
ini_set('display_errors', 0);
ini_set('log_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

$servername = "localhost";
$username = "root";
$password = "";
$db_name = "demo";

// สร้างการเชื่อมต่อฐานข้อมูล
$conn = mysqli_connect($servername, $username, $password,$db_name);

//กำหนด charset ให้เป็น utf8 เพื่อรองรับภาษาไทย
mysqli_set_charset($conn,"utf8");

// ตรวจสอบการเชื่อมต่อฐานข้อมูล
if (!$conn) {
	
	//กรณีเชื่อมต่อไม่ได้
	die("Connection failed: " . mysqli_connect_error());
}

$sql = "SELECT * FROM php_xlsxwriter";

$result = mysqli_query($conn, $sql);

if (mysqli_num_rows($result) > 0) {
	
	$rows[] = [
		'id',
		'first_name',
		'last_name',
		'email',
		'gender',
		'ip_address',
	];

	while ($r = mysqli_fetch_assoc($result)) {
		
		$rows[] = [
			$r['id'],
			$r['first_name'],
			$r['last_name'],
			$r['email'],
			$r['gender'],
			$r['ip_address'],
		];
	}
	
	$writer = new XLSXWriter();
	$writer->setAuthor('Some Author'); 
	foreach($rows as $row)
	$writer->writeSheetRow('Sheet1', $row);
	$writer->writeToFile('example_cli.xlsx');
}

mysqli_close($conn);

exit(0);






